List GitHub repositories
GET
/teams/{teamId}/github/repos
const url = 'https://api.deploybase.eu/api/v1/teams/example/github/repos';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.deploybase.eu/api/v1/teams/example/github/reposLists repositories the team’s GitHub App installation can access. Cached for 30s.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “ Path Parameters ” teamId
required
string
Team UUID
Query Parameters
Section titled “ Query Parameters ” page
integer
Page number (default 1)
page_size
integer
Items per page (default 20, max 100)
search
string
Filter by repository name (case-insensitive substring)
Responses
Section titled “ Responses ”OK
Media type application/json
object
data
meta
object
request_id
string
timestamp
string
trace_id
string
Example generated
{ "data": "example", "meta": { "request_id": "example", "timestamp": "example", "trace_id": "example" }}Forbidden
Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string
Example generated
{ "code": "example", "details": "example", "error": "example", "meta": { "request_id": "example", "timestamp": "example", "trace_id": "example" }}No GitHub App connection
Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string
Example generated
{ "code": "example", "details": "example", "error": "example", "meta": { "request_id": "example", "timestamp": "example", "trace_id": "example" }}GitHub rate limited
Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string
Example generated
{ "code": "example", "details": "example", "error": "example", "meta": { "request_id": "example", "timestamp": "example", "trace_id": "example" }}